package feat.v1;

public class ValidationError extends FeatureError {

    public static final int
            CONVERSION_ERROR = 1,
            NULL_ERROR = 2;

    private String propertyName;
    private int errorType;

    public ValidationError(String propertyName, String message, int errorType) {
        super(message);
        this.propertyName = propertyName;
        this.errorType = errorType;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public int getErrorType() {
        return errorType;
    }


}
